Skip to content

List inactive nodes

GET
/api/v1/nodes/{env}/inactive
curl --request GET \
--url https://osctrl.net/api/v1/nodes/example/inactive \
--header 'Authorization: <Authorization>'

Returns inactive enrolled nodes for an environment.

env
required
string

Environment name or UUID

OK

Media typeapplication/json
Array<object>
object
bytes_received
integer
config_hash
string
cpu
string
created_at
string
daemon_hash
string
environment
string
environment_id
integer
extra_data
string
hardware_serial
string
hostname
string
id
integer
ip_address
string
last_seen
string
localname
string
memory
string
osquery_user
string
osquery_version
string
platform
string
platform_version
string
updated_at
string
user_id
integer
username
string
uuid
string
Examplegenerated
[
{
"bytes_received": 1,
"config_hash": "example",
"cpu": "example",
"created_at": "example",
"daemon_hash": "example",
"environment": "example",
"environment_id": 1,
"extra_data": "example",
"hardware_serial": "example",
"hostname": "example",
"id": 1,
"ip_address": "example",
"last_seen": "example",
"localname": "example",
"memory": "example",
"osquery_user": "example",
"osquery_version": "example",
"platform": "example",
"platform_version": "example",
"updated_at": "example",
"user_id": 1,
"username": "example",
"uuid": "example"
}
]

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}